---
# tasks/Amazon/main.yml: CentOS specific set-up
# This takes care of base prerequisites for Amazon Linux AMI

- include_vars: "{{ ansible_distribution }}.yml"

- name: Ensure the Sensu Core Yum repo is present
  copy:
    dest: /etc/yum.repos.d/sensu.repo
    content: |
      [sensu]
      name=sensu
      baseurl=https://sensu.global.ssl.fastly.net/yum/7/$basearch/
      gpgcheck=0
      enabled=1
    owner: root
    group: root
    mode: 0644

- name: Ensure Sensu is installed
  yum:
    name: "{{ sensu_package }}"
    state: "{{ sensu_pkg_state }}"
  notify: restart sensu-client service
